## ros-humble-autoware-planning-msgs 1.2.0

=== debian/changelog ===
ros-humble-autoware-planning-msgs (1.2.0-1bookworm) bookworm; urgency=high

  * docs(TrajectoryPoint):  add comment for acceleration_mps2 to clarify its usage (#92 <https://github.com/autowarefoundation/autoware_msgs/issues/92>)
  * Contributors: Ahmed Ebrahim

 -- Takagi, Isamu <isamu.takagi@tier4.jp>  Mon, 30 Sep 2024 16:00:00 -0000

ros-humble-autoware-planning-msgs (1.1.0-1bookworm) bookworm; urgency=high

  * chore: update package.xml and fix CMakeLists.txt (#91 <https://github.com/youtalk/autoware_msgs/issues/91>)
    update package.xml and fix cmakefiles
  * feat: update msg definitions (#87 <https://github.com/youtalk/autoware_msgs/issues/87>)
    * feat(autoware_perception_msgs): Add DetectedObjects messages and TrackedObjects messages
    * feat!(autoware_planning_msgs): remove PathWithLaneId msgs
    * feat!(autoware_perception_msgs): rename traffic signals to traffic lights
    * remove control mode command msg
    * fix(autoware_vehicle_msgs): remove ControlModeCommands.msg in CMakeLists.txt (#90 <https://github.com/youtalk/autoware_msgs/issues/90>)
    * feat(autoware_vehicle_msgs)!: remove VehicleControlCommand, VehicleKinematicState, and VehicleOdometry messages (#88 <https://github.com/youtalk/autoware_msgs/issues/88>)
    feat!(autoware_vehicle_msgs): remove VehicleControlCommand, VehicleKinematicState, and VehicleOdometry messages
    * Revert "feat!(autoware_perception_msgs): rename traffic signals to traffic lights"
    This reverts commit 768bb854036fc94db4364168e68d48b21401c17b.
    * add TrafficLight msgs
    * add todo
    ---------
    Co-authored-by: Ryohsuke Mitsudome <mailto:ryohsuke.mitsudome@tier4.jp>
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
  * fix: planning_msg (#76 <https://github.com/youtalk/autoware_msgs/issues/76>)
    * fix:planning_msg
    * fix:planning_msg
    ---------
  * feat(autoware_planning_msgs): migrate autoware_auto_planning_msg to autoware_planning_msg (#66 <https://github.com/youtalk/autoware_msgs/issues/66>)
    * add-autoware-planning-msg
    * add-autoware-planning-msg
    * add-autoware-planning-msg
    * add-autoware-planning-msg
    * add-autoware-planning-msg
    * delete old port
    * delete old port
    * delete old port
    * delete old port
    * add-autoware-planning-msg
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
  * feat(autoware_planning_msgs): remove SetPoseWithUuidStamped (#59 <https://github.com/youtalk/autoware_msgs/issues/59>)
    * feat: rename route with uuid
    * feat: remove route with uuid
    ---------
  * feat: remove set route service (#58 <https://github.com/youtalk/autoware_msgs/issues/58>)
  * feat(autoware_planning_msgs): add allow_modification option (#55 <https://github.com/youtalk/autoware_msgs/issues/55>)
    * feat(autoware_planning_msgs): add allow_modification option to PoseWithUuidStamped
    * move allow_modification
    ---------
  * feat(autoware_planning_msgs): add the service to set uuid pose (#54 <https://github.com/youtalk/autoware_msgs/issues/54>)
  * feat(autoware_planning_msgs): move header to the top in PoseWithUuidStamped (#50 <https://github.com/youtalk/autoware_msgs/issues/50>)
  * feat(autoware_planning_msgs): change PoseWithUuid to PoseStampedWithUuid (#47 <https://github.com/youtalk/autoware_msgs/issues/47>)
  * feat(autoware_planning_msgs): create PoseWithUuid and add uuid to VectorMapRoute  (#42 <https://github.com/youtalk/autoware_msgs/issues/42>)
    feat(autoware_planning_msgs): add PoseWithUuid and add uuid to LaneletRoute
  * refactor(planning-messages)!: rename VectorMap to Lanelet (#41 <https://github.com/youtalk/autoware_msgs/issues/41>)
  * feat(autoware_planning_msgs): add autoware planning messages (#33 <https://github.com/youtalk/autoware_msgs/issues/33>)
    Co-authored-by: kenji-miyake <mailto:kenji-miyake@users.noreply.github.com>
  * Contributors: Kosuke Takeuchi, M. Fatih Cırıt, Takagi, Isamu, Yukihiro Saito, Yutaka Kondo, shulanbushangshu

 -- Takagi, Isamu <isamu.takagi@tier4.jp>  Thu, 09 May 2024 16:00:00 -0000
